<p>Part of working for OpenCraft involves doing estimates for clients, and if those estimates are accepted, managing the project or <a href="https://handbook.opencraft.com/en/latest/glossary/#epic">epic</a> that goes along with that work. Epic ownership is an important part of how we work; it's how we keep our projects on target to the clients' expectations, and how we keep our company budget on track. See the <a href="https://handbook.opencraft.com/en/latest/roles/#epic-owner">Epic Owner role</a> for more details about the expectations and responsibilities of managing epics.</p>
<p>As a newcomer, your onboarding epic is your introduction to this process. You can locate your onboarding epic by visiting the Epic Link on your initial onboarding task. Read through the <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/roles/list/#onboarding-epic-ownership">Onboarding epic management section of the Newcomer role</a>❗</span> for more details about what is involved managing your onboarding epic.</p>
<p>Make notes for anything you need to discuss with your mentor during your next 121, or if you have immediate questions, feel free to ask on <a href="https://handbook.opencraft.com/en/latest/glossary/#mattermost">Mattermost</a>.</p>
<h3>Epic budget</h3>
<p>You can see how your epic onboarding is divided in the <a href="https://handbook.opencraft.com/en/latest/roles/list/#onboarding-epic-ownership">epic ownership section</a>.</p>
<p>See your onboarding epic for details about how many hours are allocated to each part. <strong>You are responsible for your epic's budget.</strong> It is intended to be used over several month's time, and part of your evaluation is on how you handle this responsibility.</p>
<p>Use the epic's Summary Panel to see how many hours have been used and how many remain for the estimated tasks.</p>
<h4>Creating Tickets for your Epic</h4>
<p>We believe in giving our team members the resources they need to learn as they perform their tasks. When you join OpenCraft, you will be inundated with information about new libraries and tools you're unfamiliar with. You are not expected to learn these on your own time, but you are expected to create tickets for learning and place them under your onboarding budget. For instance, if you discover that you will need to learn the fundamentals of <a href="https://reactjs.org/" target="_blank">React</a> in order to perform an assigned task, you should create a new ticket following the <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/task_workflows/#task-description-standard" target="_blank">standard template.</a>❗</span> Estimate it, assign yourself as the reviewer (learning tasks for your epic don't go through code review-- so you put yourself as a placeholder), set the account to OC-RECRUIT, and add it to the sprint. If one does not already exist, create a ticket now that covers your running through this course. Move any work logs you've put on your epic onto this task instead.</p>
<p>Normally, we do not allow tickets to be added to the current sprint except under very specific circumstances. However, since you are the epic owner, and you do not have to get consent to add a separate reviewer for these tasks, and because your sprints are made deliberately light in order to accommodate your learning time, you may do so. <a href="https://handbook.opencraft.com/en/latest/processes/sprints/#sprint-planning-process" target="_blank">Please read up on sprint planning</a> if you have not done so already to learn more about when tickets are normally created and added to the sprint.</p>
<h3>Epic timeline</h3>
<p>Your onboarding epic will follow the <span style="background-color: #fff5e5;"><a href="https://handbook.opencraft.com/en/latest/processes/onboarding_and_offboarding/#onboarding-offboarding">Onboarding Process</a>❗</span> described in the handbook.</p>
<p>Ensure that your onboarding epic has a timeline section that reflects the key dates in your onboarding process: starting date, developer review, end of onboarding period.</p>
<p>Update the Due Date of your epic to your end of onboarding period.</p>
<h3>Meetings</h3>
<p>Your onboarding epic should have a Recurring task for 121 meetings with your mentor. Ensure that you schedule these regularly, and keep the hours estimate on this task updated.</p>
<h3>Epic updates</h3>
<p>On the Thursday in the second week of each sprint, add a comment to your onboarding epic using the template in the <a href="https://handbook.opencraft.com/en/latest/roles/#epic-owner">Epic owner role</a>. Complete each section, and tag your mentor with any questions or concerns. Ensure that all tasks in the upcoming sprint have an assignee and reviewer.</p>
